Product Reviews

16 endpoints

POST/v1/ai/text/review-reply

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/ai/text/review-reply" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/ai/text/review-summary

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/ai/text/review-summary" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/products/{id}/reviews

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

idpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/products/{id}/reviews" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/products/{id}/reviews

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

idpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/products/{id}/reviews" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

POST/v1/reviews/photos

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/reviews/photos" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/reviews/requests/{token}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

tokenpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/reviews/requests/{token}" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

PUT/v1/reviews/requests/{token}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

tokenpath · stringRequired

Body

application/json
bash
curl -X PUT "https://api.feeef.org/v1/reviews/requests/{token}" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
orderIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/orders/{orderId}/review-link" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/orders/{orderId}/review-link/sent

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
orderIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/orders/{orderId}/review-link/sent" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

DELETE/v1/stores/{storeId}/products/{productId}/review-summary

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
productIdpath · stringRequired
bash
curl -X DELETE "https://api.feeef.org/v1/stores/{storeId}/products/{productId}/review-summary" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

GET/v1/stores/{storeId}/reviews

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/reviews" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/reviews

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/reviews" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

PATCH/v1/stores/{storeId}/reviews/{id}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired

Body

application/json
bash
curl -X PATCH "https://api.feeef.org/v1/stores/{storeId}/reviews/{id}" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

DELETE/v1/stores/{storeId}/reviews/{id}

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
idpath · stringRequired
bash
curl -X DELETE "https://api.feeef.org/v1/stores/{storeId}/reviews/{id}" \
  -H "Authorization: Bearer $FEEEF_TOKEN"

POST/v1/stores/{storeId}/reviews/bulk

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired

Body

application/json
bash
curl -X POST "https://api.feeef.org/v1/stores/{storeId}/reviews/bulk" \
  -H "Authorization: Bearer $FEEEF_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{}'

GET/v1/stores/{storeId}/reviews/requests

Authorization

Bearer tokenAuthorization: Bearer <token>, from sign-in or an OAuth token exchange. Public endpoints ignore it.

Parameters

storeIdpath · stringRequired
bash
curl -X GET "https://api.feeef.org/v1/stores/{storeId}/reviews/requests" \
  -H "Authorization: Bearer $FEEEF_TOKEN"